Subject: Re: [manet] About difference between AODV and DSR

From: "Vrishali P. Wagle" <[email-masked]>
Date: Fri, 10 Oct 2003 10:42:02 -0700 (PDT)

Hi

I assume you are using the new implementation of AODV available at 
http://moment.cs.ucsb.edu/aodv/aodv.html which is version 13 compliant. 
The old implementation of AODV and the DSR code have a subtle bug which 
was corrected in the new version of AODV. Specifically what happens is 
that if a route to a node is not available, packets destined for that node 
are buffered. This buffer should be freed **when a route to the node 
becomes available**. Some routes are entered in the route table because of RREQs 
received from those nodes, so the buffer should be freed even on receipt 
of RREQs. The old implementation of AODV and the DSR implementation free 
the buffer on receipt of RREPs only. So if route was entered in the route 
table because of RREQs received from a node you have already sent a RREQ 
for, and the corresponding RREP when it arrives, arrives on a path of 
equal or greater hopcount and same sequence number, it gets ignored and 
consequently the buffer never gets freed and the buffered packets never 
reach their destination. I think this should explain the low packet 
delivery ratio that you are getting for DSR. Try freeing the buffer 
whenever a new route becomes available in DSR and see if it solves the 
problem. 

Vrishali

On Fri, 10 Oct 2003, Sota Yoshida wrote:

> Hi Manet.
> I am new to GloMoSim.
> I have a question about "difference between AODV and DSR"
> My simulation scenario are as bellows.
> 
> Config.in:
> 
> SIMULATION-TIME     1200S
> 
> SEED                1
> 
> TERRAIN-DIMENSIONS  (1500, 300)
> 
> NUMBER-OF-NODES     50
> 
> NODE-PLACEMENT      RANDOM
> 
> 
> MOBILITY RANDOM-WAYPOINT
> MOBILITY-WP-PAUSE       0S
> MOBILITY-WP-MIN-SPEED   0
> MOBILITY-WP-MAX-SPEED   20
> 
> MOBILITY-POSITION-GRANULARITY 0.5
> 
> PROPAGATION-LIMIT      -111.0
> 
> PROPAGATION-PATHLOSS   TWO-RAY
> 
> NOISE-FIGURE    10.0
> 
> TEMPARATURE     290.0
> 
> RADIO-TYPE              RADIO-ACCNOISE
> 
> RADIO-FREQUENCY     2.4e9
> 
> RADIO-BANDWIDTH     11000000
> 
> RADIO-RX-TYPE           SNR-BOUNDED
> RADIO-RX-SNR-THRESHOLD  10.0
> 
> RADIO-TX-POWER        7.87395
> 
> RADIO-ANTENNA-GAIN  0.0
> 
> RADIO-RX-SENSITIVITY -91.0
> 
> RADIO-RX-THRESHOLD -81.0
> 
> MAC-PROTOCOL        802.11
> 
> NETWORK-PROTOCOL    IP
> NETWORK-OUTPUT-QUEUE-SIZE-PER-PRIORITY 100
> 
> #ROUTING-PROTOCOL    AODV
> 
> ROUTING-PROTOCOL    DSR
> #ROUTING-PROTOCOL   OLSR
> #ROUTING-PROTOCOL   TBRPF
> 
> APP-CONFIG-FILE   ./app.conf
> 
> APPLICATION-STATISTICS          YES
> TCP-STATISTICS			YES
> UDP-STATISTICS                  YES
> ROUTING-STATISTICS              YES
> NETWORK-LAYER-STATISTICS        YES
> MAC-LAYER-STATISTICS            YES
> RADIO-LAYER-STATISTICS          YES 
> CHANNEL-LAYER-STATISTICS        YES 
> MOBILITY-STATISTICS             YES 
> 
> 
> GUI-OPTION   NO
> GUI-RADIO    NO
> GUI-ROUTING  NO
> 
> 
> app.conf:
> 
> CBR 28 25  0 80 0.020000S 3.071873S 25.036951S 
> CBR 28 17  0 80 0.020000S 41.824254S 226.618457S 
> CBR 28 27  0 80 0.020000S 270.816335S 451.788076S 
> CBR 28 23  0 80 0.020000S 455.033018S 835.924075S 
> CBR 28 12  0 80 0.020000S 857.034140S 1000.000000S 
> 
> 
> When I run this simulation with DSR ,paket delivery fraction = about 60%.
> On the other hand, with AODV,paket delivery fraction = about 99%.
> Why this two results are much different !?
> 
> How about in NS?
> Similar result?
> 
> Maybe my understanding is not enough.
> Please tell me !
> 
> regards  
> syoshida.
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
> 

-- 
Vrishali Wagle
Graduate Student
Department of Computer Science
University of California, Santa Barbara.

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet